Part Point

From FreeCAD Documentation
Revision as of 19:23, 6 February 2022 by C4e (talk | contribs) (→‎Scripting)

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Point

Menu location
Part → Create primitives → Point
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A Point (vertex) geometric primitive.

Usage

  1. Switch to the Part Workbench
  2. The Create Primitives dialogue can be accessed several ways:

Geometric Primitives

Point

Parameter

  • X
  • Y
  • Z

Location

Property

View

Data

Base

  • DataLabel:
  • DataPlacement: placement
  • DataX :
  • DataY :
  • DataZ :


Notes

Properties

Limitations

Scripting

A Part Point can be created with the following function:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

The name of the object can be easily changed by

point.Label = "new pointName"

You can access and modify attributes of the point object. For example, you may wish to modify the x, y or z coordinate.

point.X = 1
point.Y = 2
point.Z = 3

The result will be a new location of the point with the given coordinates.

You can change its placement and orientation with:

point.Placement= FreeCAD.Placement(FreeCAD.Vector(0.00,0.00,0.00),App.Rotation(App.Vector(0.00,0.00,1.00),0.00))